#ifndef GrWorld_H
#define GrWorld_H

/// GraphicsTown2006 - CS559 Sample Code
// written by Michael Gleicher - originally written Fall, 2000
// updated Fall, 2005

//
// "the world" - framework for stuff to go into
//
class DrawingState;
class GrObject;

// the sky and "earth" are special objects, so we draw them
// differently - they are not GrObjects. 
// they always get drawn before all other objects
// draw sky gets called first, and is responsible for doing the clear
// 
void drawSky(DrawingState*);
void drawEarth(DrawingState*);

// basic lighting...
void setupLights(DrawingState *, float *);

// all of the objects in the world, kept in a big linked list...
extern GrObject* theObjects;

#endif
